# PetscBagSetFromOptions

Allows setting options from a bag

### Synopsis

    #include "petsc.h"
    #include "petscbag.h"
    PetscErrorCode PETSC_DLLEXPORT PetscBagSetFromOptions(PetscBag bag)

Collective on PetscBag

### Input Parameter

bag -the bag of values

### See Also

PetscBag, PetscBagSetName(), PetscBagDestroy(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterTruth(), PetscBagRegisterScalar() PetscBagSetFromOptions(), PetscBagCreate(), PetscBagGetName(), PetscBagView(), PetscBagRegisterEnum()

Level:beginner
Location: src/sys/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages